# -*- encoding: utf-8 -*-
# stub: axiom-types 0.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "axiom-types"
  s.version = "0.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Dan Kubb"]
  s.date = "2014-01-21"
  s.description = "Abstract types for logic programming"
  s.email = "dan.kubb@gmail.com"
  s.extra_rdoc_files = ["LICENSE", "README.md", "CONTRIBUTING.md", "TODO"]
  s.files = [".gitignore", ".rspec", ".rubocop.yml", ".ruby-gemset", ".travis.yml", ".yardopts", "CONTRIBUTING.md", "Gemfile", "Gemfile.devtools", "Guardfile", "LICENSE", "README.md", "Rakefile", "TODO", "axiom-types.gemspec", "config/devtools.yml", "config/flay.yml", "config/flog.yml", "config/mutant.yml", "config/reek.yml", "config/roodi.yml", "config/rubocop.yml", "config/yardstick.yml", "lib/axiom-types.rb", "lib/axiom/types.rb", "lib/axiom/types/array.rb", "lib/axiom/types/boolean.rb", "lib/axiom/types/class.rb", "lib/axiom/types/collection.rb", "lib/axiom/types/date.rb", "lib/axiom/types/date_time.rb", "lib/axiom/types/decimal.rb", "lib/axiom/types/encodable.rb", "lib/axiom/types/float.rb", "lib/axiom/types/hash.rb", "lib/axiom/types/integer.rb", "lib/axiom/types/length_comparable.rb", "lib/axiom/types/numeric.rb", "lib/axiom/types/object.rb", "lib/axiom/types/set.rb", "lib/axiom/types/string.rb", "lib/axiom/types/support/infinity.rb", "lib/axiom/types/support/options.rb", "lib/axiom/types/symbol.rb", "lib/axiom/types/time.rb", "lib/axiom/types/type.rb", "lib/axiom/types/value_comparable.rb", "lib/axiom/types/version.rb", "spec/spec_helper.rb", "spec/unit/axiom/types/array/class_methods/infer_spec.rb", "spec/unit/axiom/types/boolean/class_methods/infer_spec.rb", "spec/unit/axiom/types/class_methods/finalize_spec.rb", "spec/unit/axiom/types/class_methods/infer_spec.rb", "spec/unit/axiom/types/collection/class_methods/finalize_spec.rb", "spec/unit/axiom/types/collection/class_methods/infer_spec.rb", "spec/unit/axiom/types/encodable/class_methods/extended_spec.rb", "spec/unit/axiom/types/encodable/finalize_spec.rb", "spec/unit/axiom/types/hash/class_methods/finalize_spec.rb", "spec/unit/axiom/types/hash/class_methods/infer_spec.rb", "spec/unit/axiom/types/infinity/coerce_spec.rb", "spec/unit/axiom/types/infinity/spaceship_operator_spec.rb", "spec/unit/axiom/types/infinity/succ_spec.rb", "spec/unit/axiom/types/length_comparable/class_methods/extended_spec.rb", "spec/unit/axiom/types/length_comparable/finalize_spec.rb", "spec/unit/axiom/types/length_comparable/range_spec.rb", "spec/unit/axiom/types/negative_infinity/spaceship_operator_spec.rb", "spec/unit/axiom/types/object/class_methods/coercion_method_spec.rb", "spec/unit/axiom/types/object/class_methods/finalize_spec.rb", "spec/unit/axiom/types/object/class_methods/infer_spec.rb", "spec/unit/axiom/types/object/class_methods/inspect_spec.rb", "spec/unit/axiom/types/object/class_methods/primitive_spec.rb", "spec/unit/axiom/types/options/accept_options_spec.rb", "spec/unit/axiom/types/options/inherited_spec.rb", "spec/unit/axiom/types/set/class_methods/infer_spec.rb", "spec/unit/axiom/types/type/class_methods/anonymous_predicate_spec.rb", "spec/unit/axiom/types/type/class_methods/base_predicate_spec.rb", "spec/unit/axiom/types/type/class_methods/base_spec.rb", "spec/unit/axiom/types/type/class_methods/constraint_spec.rb", "spec/unit/axiom/types/type/class_methods/finalize_spec.rb", "spec/unit/axiom/types/type/class_methods/include_predicate_spec.rb", "spec/unit/axiom/types/type/class_methods/includes_spec.rb", "spec/unit/axiom/types/type/class_methods/infer_spec.rb", "spec/unit/axiom/types/type/class_methods/new_spec.rb", "spec/unit/axiom/types/value_comparable/class_methods/extended_spec.rb", "spec/unit/axiom/types/value_comparable/finalize_spec.rb", "spec/unit/axiom/types/value_comparable/range_spec.rb"]
  s.homepage = "https://github.com/dkubb/axiom-types"
  s.licenses = ["MIT"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3")
  s.rubygems_version = "2.2.2"
  s.summary = "Define types with optional constraints for use within axiom and other libraries."
  s.test_files = ["spec/unit/axiom/types/array/class_methods/infer_spec.rb", "spec/unit/axiom/types/boolean/class_methods/infer_spec.rb", "spec/unit/axiom/types/class_methods/finalize_spec.rb", "spec/unit/axiom/types/class_methods/infer_spec.rb", "spec/unit/axiom/types/collection/class_methods/finalize_spec.rb", "spec/unit/axiom/types/collection/class_methods/infer_spec.rb", "spec/unit/axiom/types/encodable/class_methods/extended_spec.rb", "spec/unit/axiom/types/encodable/finalize_spec.rb", "spec/unit/axiom/types/hash/class_methods/finalize_spec.rb", "spec/unit/axiom/types/hash/class_methods/infer_spec.rb", "spec/unit/axiom/types/infinity/coerce_spec.rb", "spec/unit/axiom/types/infinity/spaceship_operator_spec.rb", "spec/unit/axiom/types/infinity/succ_spec.rb", "spec/unit/axiom/types/length_comparable/class_methods/extended_spec.rb", "spec/unit/axiom/types/length_comparable/finalize_spec.rb", "spec/unit/axiom/types/length_comparable/range_spec.rb", "spec/unit/axiom/types/negative_infinity/spaceship_operator_spec.rb", "spec/unit/axiom/types/object/class_methods/coercion_method_spec.rb", "spec/unit/axiom/types/object/class_methods/finalize_spec.rb", "spec/unit/axiom/types/object/class_methods/infer_spec.rb", "spec/unit/axiom/types/object/class_methods/inspect_spec.rb", "spec/unit/axiom/types/object/class_methods/primitive_spec.rb", "spec/unit/axiom/types/options/accept_options_spec.rb", "spec/unit/axiom/types/options/inherited_spec.rb", "spec/unit/axiom/types/set/class_methods/infer_spec.rb", "spec/unit/axiom/types/type/class_methods/anonymous_predicate_spec.rb", "spec/unit/axiom/types/type/class_methods/base_predicate_spec.rb", "spec/unit/axiom/types/type/class_methods/base_spec.rb", "spec/unit/axiom/types/type/class_methods/constraint_spec.rb", "spec/unit/axiom/types/type/class_methods/finalize_spec.rb", "spec/unit/axiom/types/type/class_methods/include_predicate_spec.rb", "spec/unit/axiom/types/type/class_methods/includes_spec.rb", "spec/unit/axiom/types/type/class_methods/infer_spec.rb", "spec/unit/axiom/types/type/class_methods/new_spec.rb", "spec/unit/axiom/types/value_comparable/class_methods/extended_spec.rb", "spec/unit/axiom/types/value_comparable/finalize_spec.rb", "spec/unit/axiom/types/value_comparable/range_spec.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<descendants_tracker>, ["~> 0.0.3"])
      s.add_runtime_dependency(%q<ice_nine>, ["~> 0.11.0"])
      s.add_runtime_dependency(%q<thread_safe>, ["~> 0.1.3"])
      s.add_development_dependency(%q<bundler>, [">= 1.5.2", "~> 1.5"])
    else
      s.add_dependency(%q<descendants_tracker>, ["~> 0.0.3"])
      s.add_dependency(%q<ice_nine>, ["~> 0.11.0"])
      s.add_dependency(%q<thread_safe>, ["~> 0.1.3"])
      s.add_dependency(%q<bundler>, [">= 1.5.2", "~> 1.5"])
    end
  else
    s.add_dependency(%q<descendants_tracker>, ["~> 0.0.3"])
    s.add_dependency(%q<ice_nine>, ["~> 0.11.0"])
    s.add_dependency(%q<thread_safe>, ["~> 0.1.3"])
    s.add_dependency(%q<bundler>, [">= 1.5.2", "~> 1.5"])
  end
end
